package com.app.kemenhub.jakbanapps.db;

import android.database.sqlite.SQLiteDatabase;

import java.util.Map;

import de.greenrobot.dao.AbstractDao;
import de.greenrobot.dao.AbstractDaoSession;
import de.greenrobot.dao.identityscope.IdentityScopeType;
import de.greenrobot.dao.internal.DaoConfig;

import com.app.kemenhub.jakbanapps.db.airplane_ticket;
import com.app.kemenhub.jakbanapps.db.notif;
import com.app.kemenhub.jakbanapps.db.kecamatan;
import com.app.kemenhub.jakbanapps.db.kelurahan;
import com.app.kemenhub.jakbanapps.db.kabupaten;
import com.app.kemenhub.jakbanapps.db.user_role;
import com.app.kemenhub.jakbanapps.db.provinsi;
import com.app.kemenhub.jakbanapps.db.disposition;
import com.app.kemenhub.jakbanapps.db.file;
import com.app.kemenhub.jakbanapps.db.category;
import com.app.kemenhub.jakbanapps.db.folder;
import com.app.kemenhub.jakbanapps.db.hotel_fee;
import com.app.kemenhub.jakbanapps.db.perjalanan_dinas;
import com.app.kemenhub.jakbanapps.db.perjalanan_dinas_jenis;
import com.app.kemenhub.jakbanapps.db.place;
import com.app.kemenhub.jakbanapps.db.roles;
import com.app.kemenhub.jakbanapps.db.schedule;
import com.app.kemenhub.jakbanapps.db.schedule_category;
import com.app.kemenhub.jakbanapps.db.taxi_fee;
import com.app.kemenhub.jakbanapps.db.user_class;
import com.app.kemenhub.jakbanapps.db.user_mobile;
import com.app.kemenhub.jakbanapps.db.position;
import com.app.kemenhub.jakbanapps.db.users;
import com.app.kemenhub.jakbanapps.db.vehicle_rent;

import com.app.kemenhub.jakbanapps.db.airplane_ticketDao;
import com.app.kemenhub.jakbanapps.db.notifDao;
import com.app.kemenhub.jakbanapps.db.kecamatanDao;
import com.app.kemenhub.jakbanapps.db.kelurahanDao;
import com.app.kemenhub.jakbanapps.db.kabupatenDao;
import com.app.kemenhub.jakbanapps.db.user_roleDao;
import com.app.kemenhub.jakbanapps.db.provinsiDao;
import com.app.kemenhub.jakbanapps.db.dispositionDao;
import com.app.kemenhub.jakbanapps.db.fileDao;
import com.app.kemenhub.jakbanapps.db.categoryDao;
import com.app.kemenhub.jakbanapps.db.folderDao;
import com.app.kemenhub.jakbanapps.db.hotel_feeDao;
import com.app.kemenhub.jakbanapps.db.perjalanan_dinasDao;
import com.app.kemenhub.jakbanapps.db.perjalanan_dinas_jenisDao;
import com.app.kemenhub.jakbanapps.db.placeDao;
import com.app.kemenhub.jakbanapps.db.rolesDao;
import com.app.kemenhub.jakbanapps.db.scheduleDao;
import com.app.kemenhub.jakbanapps.db.schedule_categoryDao;
import com.app.kemenhub.jakbanapps.db.taxi_feeDao;
import com.app.kemenhub.jakbanapps.db.user_classDao;
import com.app.kemenhub.jakbanapps.db.user_mobileDao;
import com.app.kemenhub.jakbanapps.db.positionDao;
import com.app.kemenhub.jakbanapps.db.usersDao;
import com.app.kemenhub.jakbanapps.db.vehicle_rentDao;

// THIS CODE IS GENERATED BY greenDAO, DO NOT EDIT.

/**
 * {@inheritDoc}
 * 
 * @see de.greenrobot.dao.AbstractDaoSession
 */
public class DaoSession extends AbstractDaoSession {

    private final DaoConfig airplane_ticketDaoConfig;
    private final DaoConfig notifDaoConfig;
    private final DaoConfig kecamatanDaoConfig;
    private final DaoConfig kelurahanDaoConfig;
    private final DaoConfig kabupatenDaoConfig;
    private final DaoConfig user_roleDaoConfig;
    private final DaoConfig provinsiDaoConfig;
    private final DaoConfig dispositionDaoConfig;
    private final DaoConfig fileDaoConfig;
    private final DaoConfig categoryDaoConfig;
    private final DaoConfig folderDaoConfig;
    private final DaoConfig hotel_feeDaoConfig;
    private final DaoConfig perjalanan_dinasDaoConfig;
    private final DaoConfig perjalanan_dinas_jenisDaoConfig;
    private final DaoConfig placeDaoConfig;
    private final DaoConfig rolesDaoConfig;
    private final DaoConfig scheduleDaoConfig;
    private final DaoConfig schedule_categoryDaoConfig;
    private final DaoConfig taxi_feeDaoConfig;
    private final DaoConfig user_classDaoConfig;
    private final DaoConfig user_mobileDaoConfig;
    private final DaoConfig positionDaoConfig;
    private final DaoConfig usersDaoConfig;
    private final DaoConfig vehicle_rentDaoConfig;

    private final airplane_ticketDao airplane_ticketDao;
    private final notifDao notifDao;
    private final kecamatanDao kecamatanDao;
    private final kelurahanDao kelurahanDao;
    private final kabupatenDao kabupatenDao;
    private final user_roleDao user_roleDao;
    private final provinsiDao provinsiDao;
    private final dispositionDao dispositionDao;
    private final fileDao fileDao;
    private final categoryDao categoryDao;
    private final folderDao folderDao;
    private final hotel_feeDao hotel_feeDao;
    private final perjalanan_dinasDao perjalanan_dinasDao;
    private final perjalanan_dinas_jenisDao perjalanan_dinas_jenisDao;
    private final placeDao placeDao;
    private final rolesDao rolesDao;
    private final scheduleDao scheduleDao;
    private final schedule_categoryDao schedule_categoryDao;
    private final taxi_feeDao taxi_feeDao;
    private final user_classDao user_classDao;
    private final user_mobileDao user_mobileDao;
    private final positionDao positionDao;
    private final usersDao usersDao;
    private final vehicle_rentDao vehicle_rentDao;

    public DaoSession(SQLiteDatabase db, IdentityScopeType type, Map<Class<? extends AbstractDao<?, ?>>, DaoConfig>
            daoConfigMap) {
        super(db);

        airplane_ticketDaoConfig = daoConfigMap.get(airplane_ticketDao.class).clone();
        airplane_ticketDaoConfig.initIdentityScope(type);

        notifDaoConfig = daoConfigMap.get(notifDao.class).clone();
        notifDaoConfig.initIdentityScope(type);

        kecamatanDaoConfig = daoConfigMap.get(kecamatanDao.class).clone();
        kecamatanDaoConfig.initIdentityScope(type);

        kelurahanDaoConfig = daoConfigMap.get(kelurahanDao.class).clone();
        kelurahanDaoConfig.initIdentityScope(type);

        kabupatenDaoConfig = daoConfigMap.get(kabupatenDao.class).clone();
        kabupatenDaoConfig.initIdentityScope(type);

        user_roleDaoConfig = daoConfigMap.get(user_roleDao.class).clone();
        user_roleDaoConfig.initIdentityScope(type);

        provinsiDaoConfig = daoConfigMap.get(provinsiDao.class).clone();
        provinsiDaoConfig.initIdentityScope(type);

        dispositionDaoConfig = daoConfigMap.get(dispositionDao.class).clone();
        dispositionDaoConfig.initIdentityScope(type);

        fileDaoConfig = daoConfigMap.get(fileDao.class).clone();
        fileDaoConfig.initIdentityScope(type);

        categoryDaoConfig = daoConfigMap.get(categoryDao.class).clone();
        categoryDaoConfig.initIdentityScope(type);

        folderDaoConfig = daoConfigMap.get(folderDao.class).clone();
        folderDaoConfig.initIdentityScope(type);

        hotel_feeDaoConfig = daoConfigMap.get(hotel_feeDao.class).clone();
        hotel_feeDaoConfig.initIdentityScope(type);

        perjalanan_dinasDaoConfig = daoConfigMap.get(perjalanan_dinasDao.class).clone();
        perjalanan_dinasDaoConfig.initIdentityScope(type);

        perjalanan_dinas_jenisDaoConfig = daoConfigMap.get(perjalanan_dinas_jenisDao.class).clone();
        perjalanan_dinas_jenisDaoConfig.initIdentityScope(type);

        placeDaoConfig = daoConfigMap.get(placeDao.class).clone();
        placeDaoConfig.initIdentityScope(type);

        rolesDaoConfig = daoConfigMap.get(rolesDao.class).clone();
        rolesDaoConfig.initIdentityScope(type);

        scheduleDaoConfig = daoConfigMap.get(scheduleDao.class).clone();
        scheduleDaoConfig.initIdentityScope(type);

        schedule_categoryDaoConfig = daoConfigMap.get(schedule_categoryDao.class).clone();
        schedule_categoryDaoConfig.initIdentityScope(type);

        taxi_feeDaoConfig = daoConfigMap.get(taxi_feeDao.class).clone();
        taxi_feeDaoConfig.initIdentityScope(type);

        user_classDaoConfig = daoConfigMap.get(user_classDao.class).clone();
        user_classDaoConfig.initIdentityScope(type);

        user_mobileDaoConfig = daoConfigMap.get(user_mobileDao.class).clone();
        user_mobileDaoConfig.initIdentityScope(type);

        positionDaoConfig = daoConfigMap.get(positionDao.class).clone();
        positionDaoConfig.initIdentityScope(type);

        usersDaoConfig = daoConfigMap.get(usersDao.class).clone();
        usersDaoConfig.initIdentityScope(type);

        vehicle_rentDaoConfig = daoConfigMap.get(vehicle_rentDao.class).clone();
        vehicle_rentDaoConfig.initIdentityScope(type);

        airplane_ticketDao = new airplane_ticketDao(airplane_ticketDaoConfig, this);
        notifDao = new notifDao(notifDaoConfig, this);
        kecamatanDao = new kecamatanDao(kecamatanDaoConfig, this);
        kelurahanDao = new kelurahanDao(kelurahanDaoConfig, this);
        kabupatenDao = new kabupatenDao(kabupatenDaoConfig, this);
        user_roleDao = new user_roleDao(user_roleDaoConfig, this);
        provinsiDao = new provinsiDao(provinsiDaoConfig, this);
        dispositionDao = new dispositionDao(dispositionDaoConfig, this);
        fileDao = new fileDao(fileDaoConfig, this);
        categoryDao = new categoryDao(categoryDaoConfig, this);
        folderDao = new folderDao(folderDaoConfig, this);
        hotel_feeDao = new hotel_feeDao(hotel_feeDaoConfig, this);
        perjalanan_dinasDao = new perjalanan_dinasDao(perjalanan_dinasDaoConfig, this);
        perjalanan_dinas_jenisDao = new perjalanan_dinas_jenisDao(perjalanan_dinas_jenisDaoConfig, this);
        placeDao = new placeDao(placeDaoConfig, this);
        rolesDao = new rolesDao(rolesDaoConfig, this);
        scheduleDao = new scheduleDao(scheduleDaoConfig, this);
        schedule_categoryDao = new schedule_categoryDao(schedule_categoryDaoConfig, this);
        taxi_feeDao = new taxi_feeDao(taxi_feeDaoConfig, this);
        user_classDao = new user_classDao(user_classDaoConfig, this);
        user_mobileDao = new user_mobileDao(user_mobileDaoConfig, this);
        positionDao = new positionDao(positionDaoConfig, this);
        usersDao = new usersDao(usersDaoConfig, this);
        vehicle_rentDao = new vehicle_rentDao(vehicle_rentDaoConfig, this);

        registerDao(airplane_ticket.class, airplane_ticketDao);
        registerDao(notif.class, notifDao);
        registerDao(kecamatan.class, kecamatanDao);
        registerDao(kelurahan.class, kelurahanDao);
        registerDao(kabupaten.class, kabupatenDao);
        registerDao(user_role.class, user_roleDao);
        registerDao(provinsi.class, provinsiDao);
        registerDao(disposition.class, dispositionDao);
        registerDao(file.class, fileDao);
        registerDao(category.class, categoryDao);
        registerDao(folder.class, folderDao);
        registerDao(hotel_fee.class, hotel_feeDao);
        registerDao(perjalanan_dinas.class, perjalanan_dinasDao);
        registerDao(perjalanan_dinas_jenis.class, perjalanan_dinas_jenisDao);
        registerDao(place.class, placeDao);
        registerDao(roles.class, rolesDao);
        registerDao(schedule.class, scheduleDao);
        registerDao(schedule_category.class, schedule_categoryDao);
        registerDao(taxi_fee.class, taxi_feeDao);
        registerDao(user_class.class, user_classDao);
        registerDao(user_mobile.class, user_mobileDao);
        registerDao(position.class, positionDao);
        registerDao(users.class, usersDao);
        registerDao(vehicle_rent.class, vehicle_rentDao);
    }
    
    public void clear() {
        airplane_ticketDaoConfig.getIdentityScope().clear();
        notifDaoConfig.getIdentityScope().clear();
        kecamatanDaoConfig.getIdentityScope().clear();
        kelurahanDaoConfig.getIdentityScope().clear();
        kabupatenDaoConfig.getIdentityScope().clear();
        user_roleDaoConfig.getIdentityScope().clear();
        provinsiDaoConfig.getIdentityScope().clear();
        dispositionDaoConfig.getIdentityScope().clear();
        fileDaoConfig.getIdentityScope().clear();
        categoryDaoConfig.getIdentityScope().clear();
        folderDaoConfig.getIdentityScope().clear();
        hotel_feeDaoConfig.getIdentityScope().clear();
        perjalanan_dinasDaoConfig.getIdentityScope().clear();
        perjalanan_dinas_jenisDaoConfig.getIdentityScope().clear();
        placeDaoConfig.getIdentityScope().clear();
        rolesDaoConfig.getIdentityScope().clear();
        scheduleDaoConfig.getIdentityScope().clear();
        schedule_categoryDaoConfig.getIdentityScope().clear();
        taxi_feeDaoConfig.getIdentityScope().clear();
        user_classDaoConfig.getIdentityScope().clear();
        user_mobileDaoConfig.getIdentityScope().clear();
        positionDaoConfig.getIdentityScope().clear();
        usersDaoConfig.getIdentityScope().clear();
        vehicle_rentDaoConfig.getIdentityScope().clear();
    }

    public airplane_ticketDao getAirplane_ticketDao() {
        return airplane_ticketDao;
    }

    public notifDao getNotifDao() {
        return notifDao;
    }

    public kecamatanDao getKecamatanDao() {
        return kecamatanDao;
    }

    public kelurahanDao getKelurahanDao() {
        return kelurahanDao;
    }

    public kabupatenDao getKabupatenDao() {
        return kabupatenDao;
    }

    public user_roleDao getUser_roleDao() {
        return user_roleDao;
    }

    public provinsiDao getProvinsiDao() {
        return provinsiDao;
    }

    public dispositionDao getDispositionDao() {
        return dispositionDao;
    }

    public fileDao getFileDao() {
        return fileDao;
    }

    public categoryDao getCategoryDao() {
        return categoryDao;
    }

    public folderDao getFolderDao() {
        return folderDao;
    }

    public hotel_feeDao getHotel_feeDao() {
        return hotel_feeDao;
    }

    public perjalanan_dinasDao getPerjalanan_dinasDao() {
        return perjalanan_dinasDao;
    }

    public perjalanan_dinas_jenisDao getPerjalanan_dinas_jenisDao() {
        return perjalanan_dinas_jenisDao;
    }

    public placeDao getPlaceDao() {
        return placeDao;
    }

    public rolesDao getRolesDao() {
        return rolesDao;
    }

    public scheduleDao getScheduleDao() {
        return scheduleDao;
    }

    public schedule_categoryDao getSchedule_categoryDao() {
        return schedule_categoryDao;
    }

    public taxi_feeDao getTaxi_feeDao() {
        return taxi_feeDao;
    }

    public user_classDao getUser_classDao() {
        return user_classDao;
    }

    public user_mobileDao getUser_mobileDao() {
        return user_mobileDao;
    }

    public positionDao getPositionDao() {
        return positionDao;
    }

    public usersDao getUsersDao() {
        return usersDao;
    }

    public vehicle_rentDao getVehicle_rentDao() {
        return vehicle_rentDao;
    }

}
